## qvernote 0.1

=== Makefile ===
#############################################################################
# Makefile for building: Qvernote
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 4 17:00:40 2010
# Project:  Qvernote.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile Qvernote.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQ_WS_MAEMO_5 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtWebKit -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/local/include/thrift -I/targets/FREMANTLE_ARMEL/usr/local/include/evernote -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lEvernote -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtNetwork -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = modest_interface.cpp \
		QDeleteNotebookView.cpp \
		QvernoteWindow.cpp \
		QTagButton.cpp \
		QTagSelectorDialog.cpp \
		QDeleteNotesView.cpp \
		QNoteListItemWidget.cpp \
		QNoteSearchDialog.cpp \
		QNotebookListItemWidget.cpp \
		md5.c \
		QEnmlWriter.cpp \
		QNewNotebookDialog.cpp \
		QNotesViewGraphicsWidget.cpp \
		QEnmlReader.cpp \
		QNoteEditWindow.cpp \
		QNoteWidget.cpp \
		QNotesView.cpp \
		QvernoteAPI.cpp \
		QvernoteSettings.cpp \
		main.cpp \
		QvernoteView.cpp \
		qvernotelogindialog.cpp \
		Qvernote.cpp moc_modest_interface_p.cpp \
		moc_QMaemoTextSelectionSupressor.cpp \
		moc_QDeleteNotebookView.cpp \
		moc_QTagButton.cpp \
		moc_QClickableLabel.cpp \
		moc_QTagSelectorDialog.cpp \
		moc_QDeleteNotesView.cpp \
		moc_QNoteListItemWidget.cpp \
		moc_QNonScrollableListWidget.cpp \
		moc_QvernoteWindow.cpp \
		moc_QNoteSearchDialog.cpp \
		moc_QNotebookListItemWidget.cpp \
		moc_QNewNotebookDialog.cpp \
		moc_QNotesViewGraphicsWidget.cpp \
		moc_QNoteEditWindow.cpp \
		moc_QNoteWidget.cpp \
		moc_QNotesView.cpp \
		moc_Qvernote.cpp \
		moc_QvernoteView.cpp \
		moc_qvernotelogindialog.cpp \
		qrc_Icons.cpp
OBJECTS       = modest_interface.o \
		QDeleteNotebookView.o \
		QvernoteWindow.o \
		QTagButton.o \
		QTagSelectorDialog.o \
		QDeleteNotesView.o \
		QNoteListItemWidget.o \
		QNoteSearchDialog.o \
		QNotebookListItemWidget.o \
		md5.o \
		QEnmlWriter.o \
		QNewNotebookDialog.o \
		QNotesViewGraphicsWidget.o \
		QEnmlReader.o \
		QNoteEditWindow.o \
		QNoteWidget.o \
		QNotesView.o \
		QvernoteAPI.o \
		QvernoteSettings.o \
		main.o \
		QvernoteView.o \
		qvernotelogindialog.o \
		Qvernote.o \
		moc_modest_interface_p.o \
		moc_QMaemoTextSelectionSupressor.o \
		moc_QDeleteNotebookView.o \
		moc_QTagButton.o \
		moc_QClickableLabel.o \
		moc_QTagSelectorDialog.o \
		moc_QDeleteNotesView.o \
		moc_QNoteListItemWidget.o \
		moc_QNonScrollableListWidget.o \
		moc_QvernoteWindow.o \
		moc_QNoteSearchDialog.o \
		moc_QNotebookListItemWidget.o \
		moc_QNewNotebookDialog.o \
		moc_QNotesViewGraphicsWidget.o \
		moc_QNoteEditWindow.o \
		moc_QNoteWidget.o \
		moc_QNotesView.o \
		moc_Qvernote.o \
		moc_QvernoteView.o \
		moc_qvernotelogindialog.o \
		qrc_Icons.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		Qvernote.pro
QMAKE_TARGET  = Qvernote
DESTDIR       = 
TARGET        = Qvernote

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_QDeleteNotebookView.h ui_QTagSelectorDialog.h ui_QDeleteNotesView.h ui_QNoteListItemWidget.h ui_QNoteSearchDialog.h ui_QNotebookListItemWidget.h ui_QNewNotebookDialog.h ui_QNoteEditWindow.h ui_QNoteWidget.h ui_QNotesView.h ui_QvernoteView.h ui_qvernotelogindialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Qvernote.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile Qvernote.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtWebKit.prl:
/usr/lib/libphonon.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile Qvernote.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Qvernote1.0.0 || $(MKDIR) .tmp/Qvernote1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Qvernote1.0.0/ && $(COPY_FILE) --parents modest_interface_p.h QMaemoTextSelectionSupressor.h QDeleteNotebookView.h QTagButton.h QClickableLabel.h QTagSelectorDialog.h QDeleteNotesView.h QNoteListItemWidget.h QNonScrollableListWidget.h QvernoteWindow.h QNoteSearchDialog.h QvernoteTypes.h QNotebookListItemWidget.h md5.h QEnmlWriter.h QNewNotebookDialog.h QNotesViewGraphicsWidget.h QEnmlReader.h QNoteEditWindow.h QNoteWidget.h QNotesView.h Qvernote.h QvernoteAPI.h QvernoteSettings.h QvernoteView.h qvernotelogindialog.h .tmp/Qvernote1.0.0/ && $(COPY_FILE) --parents Resources/Icons.qrc .tmp/Qvernote1.0.0/ && $(COPY_FILE) --parents modest_interface.cpp QDeleteNotebookView.cpp QvernoteWindow.cpp QTagButton.cpp QTagSelectorDialog.cpp QDeleteNotesView.cpp QNoteListItemWidget.cpp QNoteSearchDialog.cpp QNotebookListItemWidget.cpp md5.c QEnmlWriter.cpp QNewNotebookDialog.cpp QNotesViewGraphicsWidget.cpp QEnmlReader.cpp QNoteEditWindow.cpp QNoteWidget.cpp QNotesView.cpp QvernoteAPI.cpp QvernoteSettings.cpp main.cpp QvernoteView.cpp qvernotelogindialog.cpp Qvernote.cpp .tmp/Qvernote1.0.0/ && $(COPY_FILE) --parents QDeleteNotebookView.ui QTagSelectorDialog.ui QDeleteNotesView.ui QNoteListItemWidget.ui QNoteSearchDialog.ui QNotebookListItemWidget.ui QNewNotebookDialog.ui QNoteEditWindow.ui QNoteWidget.ui QNotesView.ui QvernoteView.ui qvernotelogindialog.ui .tmp/Qvernote1.0.0/ && (cd `dirname .tmp/Qvernote1.0.0` && $(TAR) Qvernote1.0.0.tar Qvernote1.0.0 && $(COMPRESS) Qvernote1.0.0.tar) && $(MOVE) `dirname .tmp/Qvernote1.0.0`/Qvernote1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Qvernote1.0.0

## qvernote 0.3

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,25 @@
 #############################################################################
-# Makefile for building: Qvernote
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 4 17:00:40 2010
+# Makefile for building: qvernote
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jun 29 12:00:40 2010
 # Project:  Qvernote.pro
 # Template: app
-# Command: /usr/bin/qmake -unix -o Makefile Qvernote.pro
+# Command: /usr/bin/qmake-qt4 -unix -o Makefile Qvernote.pro
 #############################################################################
 
 ####### Compiler, tools and options
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQ_WS_MAEMO_5 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQ_WS_MAEMO_5 -DDATADIR="debian/qvernote/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtWebKit -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/local/include/thrift -I/targets/FREMANTLE_ARMEL/usr/local/include/evernote -I. -I.
+INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtSql -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtWebKit -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/include/thrift -I/targets/FREMANTLE_ARMEL/usr/include/evernote -I. -I.
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -lEvernote -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtNetwork -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -lEvernote -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtNetwork -lQtDBus -lQtSql -lQtXml -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
-QMAKE         = /usr/bin/qmake
+QMAKE         = /usr/bin/qmake-qt4
 TAR           = tar -cf
 COMPRESS      = gzip -9f
 COPY          = cp -f
@@ -44,6 +44,23 @@
 ####### Files
 
 SOURCES       = modest_interface.cpp \
+		QSyncProgressDialog.cpp \
+		QEmailNoteDialog.cpp \
+		QNewTagDialog.cpp \
+		QTrashWindow.cpp \
+		DataTypes/QData.cpp \
+		DataTypes/QItem.cpp \
+		DataTypes/QNote.cpp \
+		DataTypes/QNoteAttributes.cpp \
+		DataTypes/QNoteResource.cpp \
+		DataTypes/QNotebook.cpp \
+		DataTypes/QResourceAttributes.cpp \
+		DataTypes/QTag.cpp \
+		QvernoteDataFactory.cpp \
+		QvernoteStorage.cpp \
+		QNoteViewWindow.cpp \
+		QAttachmentWidget.cpp \
+		QAboutDialog.cpp \
 		QDeleteNotebookView.cpp \
 		QvernoteWindow.cpp \
 		QTagButton.cpp \
@@ -58,7 +75,6 @@
 		QNotesViewGraphicsWidget.cpp \
 		QEnmlReader.cpp \
 		QNoteEditWindow.cpp \
-		QNoteWidget.cpp \
 		QNotesView.cpp \
 		QvernoteAPI.cpp \
 		QvernoteSettings.cpp \
@@ -67,6 +83,14 @@
 		qvernotelogindialog.cpp \
 		Qvernote.cpp moc_modest_interface_p.cpp \
 		moc_QMaemoTextSelectionSupressor.cpp \
+		moc_QSyncProgressWidget.cpp \
+		moc_QSyncProgressDialog.cpp \
+		moc_QEmailNoteDialog.cpp \
+		moc_QNewTagDialog.cpp \
+		moc_QTrashWindow.cpp \
+		moc_QNoteViewWindow.cpp \
+		moc_QAttachmentWidget.cpp \
+		moc_QAboutDialog.cpp \
 		moc_QDeleteNotebookView.cpp \
 		moc_QTagButton.cpp \
 		moc_QClickableLabel.cpp \
@@ -80,13 +104,30 @@
 		moc_QNewNotebookDialog.cpp \
 		moc_QNotesViewGraphicsWidget.cpp \
 		moc_QNoteEditWindow.cpp \
-		moc_QNoteWidget.cpp \
 		moc_QNotesView.cpp \
 		moc_Qvernote.cpp \
+		moc_QvernoteAPI.cpp \
 		moc_QvernoteView.cpp \
 		moc_qvernotelogindialog.cpp \
 		qrc_Icons.cpp
 OBJECTS       = modest_interface.o \
+		QSyncProgressDialog.o \
+		QEmailNoteDialog.o \
+		QNewTagDialog.o \
+		QTrashWindow.o \
+		QData.o \
+		QItem.o \
+		QNote.o \
+		QNoteAttributes.o \
+		QNoteResource.o \
+		QNotebook.o \
+		QResourceAttributes.o \
+		QTag.o \
+		QvernoteDataFactory.o \
+		QvernoteStorage.o \
+		QNoteViewWindow.o \
+		QAttachmentWidget.o \
+		QAboutDialog.o \
 		QDeleteNotebookView.o \
 		QvernoteWindow.o \
 		QTagButton.o \
@@ -101,7 +142,6 @@
 		QNotesViewGraphicsWidget.o \
 		QEnmlReader.o \
 		QNoteEditWindow.o \
-		QNoteWidget.o \
 		QNotesView.o \
 		QvernoteAPI.o \
 		QvernoteSettings.o \
@@ -111,6 +151,14 @@
 		Qvernote.o \
 		moc_modest_interface_p.o \
 		moc_QMaemoTextSelectionSupressor.o \
+		moc_QSyncProgressWidget.o \
+		moc_QSyncProgressDialog.o \
+		moc_QEmailNoteDialog.o \
+		moc_QNewTagDialog.o \
+		moc_QTrashWindow.o \
+		moc_QNoteViewWindow.o \
+		moc_QAttachmentWidget.o \
+		moc_QAboutDialog.o \
 		moc_QDeleteNotebookView.o \
 		moc_QTagButton.o \
 		moc_QClickableLabel.o \
@@ -124,9 +172,9 @@
 		moc_QNewNotebookDialog.o \
 		moc_QNotesViewGraphicsWidget.o \
 		moc_QNoteEditWindow.o \
-		moc_QNoteWidget.o \
 		moc_QNotesView.o \
 		moc_Qvernote.o \
+		moc_QvernoteAPI.o \
 		moc_QvernoteView.o \
 		moc_qvernotelogindialog.o \
 		qrc_Icons.o
@@ -151,9 +199,9 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		Qvernote.pro
-QMAKE_TARGET  = Qvernote
+QMAKE_TARGET  = qvernote
 DESTDIR       = 
-TARGET        = Qvernote
+TARGET        = qvernote
 
 first: all
 ####### Implicit rules
@@ -179,7 +227,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): ui_QDeleteNotebookView.h ui_QTagSelectorDialog.h ui_QDeleteNotesView.h ui_QNoteListItemWidget.h ui_QNoteSearchDialog.h ui_QNotebookListItemWidget.h ui_QNewNotebookDialog.h ui_QNoteEditWindow.h ui_QNoteWidget.h ui_QNotesView.h ui_QvernoteView.h ui_qvernotelogindialog.h $(OBJECTS)  
+$(TARGET): ui_QSyncProgressDialog.h ui_QEmailNoteDialog.h ui_QNewTagDialog.h ui_QTrashWindow.h ui_QNoteViewWindow.h ui_QAttachmentWidget.h ui_QAboutDialog.h ui_QDeleteNotebookView.h ui_QTagSelectorDialog.h ui_QDeleteNotesView.h ui_QNoteListItemWidget.h ui_QNoteSearchDialog.h ui_QNotebookListItemWidget.h ui_QNewNotebookDialog.h ui_QNoteEditWindow.h ui_QNoteWidget.h ui_QNotesView.h ui_QvernoteView.h ui_qvernotelogindialog.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: Qvernote.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
@@ -210,7 +258,8 @@
 		/usr/lib/libQtWebKit.prl \
 		/usr/lib/libphonon.prl \
 		/usr/lib/libQtXmlPatterns.prl \
-		/usr/lib/libQtNetwork.prl
+		/usr/lib/libQtNetwork.prl \
+		/usr/lib/libQtSql.prl
 	$(QMAKE) -unix -o Makefile Qvernote.pro
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
@@ -241,10 +290,9 @@
 /usr/lib/libphonon.prl:
 /usr/lib/libQtXmlPatterns.prl:
 /usr/lib/libQtNetwork.prl:
+/usr/lib/libQtSql.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile Qvernote.pro
 
 dist: 
-	@$(CHK_DIR_EXISTS) .tmp/Qvernote1.0.0 || $(MKDIR) .tmp/Qvernote1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Qvernote1.0.0/ && $(COPY_FILE) --parents modest_interface_p.h QMaemoTextSelectionSupressor.h QDeleteNotebookView.h QTagButton.h QClickableLabel.h QTagSelectorDialog.h QDeleteNotesView.h QNoteListItemWidget.h QNonScrollableListWidget.h QvernoteWindow.h QNoteSearchDialog.h QvernoteTypes.h QNotebookListItemWidget.h md5.h QEnmlWriter.h QNewNotebookDialog.h QNotesViewGraphicsWidget.h QEnmlReader.h QNoteEditWindow.h QNoteWidget.h QNotesView.h Qvernote.h QvernoteAPI.h QvernoteSettings.h QvernoteView.h qvernotelogindialog.h .tmp/Qvernote1.0.0/ && $(COPY_FILE) --parents Resources/Icons.qrc .tmp/Qvernote1.0.0/ && $(COPY_FILE) --parents modest_interface.cpp QDeleteNotebookView.cpp QvernoteWindow.cpp QTagButton.cpp QTagSelectorDialog.cpp QDeleteNotesView.cpp QNoteListItemWidget.cpp QNoteSearchDialog.cpp QNotebookListItemWidget.cpp md5.c QEnmlWriter.cpp QNewNotebookDialog.cpp QNotesViewGraphicsWidget.cpp QEnmlReader.cpp QNoteEditWindow.cpp QNoteWidget.cpp QNotesView.cpp QvernoteAPI.cpp QvernoteSettings.cpp main.cpp QvernoteView.cpp qvernotelogindialog.cpp Qvernote.cpp .tmp/Qvernote1.0.0/ && $(COPY_FILE) --parents QDeleteNotebookView.ui QTagSelectorDialog.ui QDeleteNotesView.ui QNoteListItemWidget.ui QNoteSearchDialog.ui QNotebookListItemWidget.ui QNewNotebookDialog.ui QNoteEditWindow.ui QNoteWidget.ui QNotesView.ui QvernoteView.ui qvernotelogindialog.ui .tmp/Qvernote1.0.0/ && (cd `dirname .tmp/Qvernote1.0.0` && $(TAR) Qvernote1.0.0.tar Qvernote1.0.0 && $(COMPRESS) Qvernote1.0.0.tar) && $(MOVE) `dirname .tmp/Qvernote1.0.0`/Qvernote1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Qvernote1.0.0
-
+	@$(CHK_DIR_EXISTS) .tmp/qvernote1.0.0 || $(MKDIR) .tmp/qvernote1.0.0

## qvernote 0.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qvernote
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jun 29 12:00:40 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 13 15:22:03 2010
 # Project:  Qvernote.pro
 # Template: app
 # Command: /usr/bin/qmake-qt4 -unix -o Makefile Qvernote.pro
@@ -13,10 +13,10 @@
 DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQ_WS_MAEMO_5 -DDATADIR="debian/qvernote/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtSql -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtWebKit -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/include/thrift -I/targets/FREMANTLE_ARMEL/usr/include/evernote -I. -I.
+INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtSql -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtWebKit -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtContacts -I/targets/FREMANTLE_ARMEL/usr/include/thrift -I/targets/FREMANTLE_ARMEL/usr/include/evernote -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -lEvernote -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtNetwork -lQtDBus -lQtSql -lQtXml -lQtGui -lQtCore -lpthread 
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/usr/lib -lEvernote -L/usr/lib -lQtContacts -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtNetwork -lQtDBus -lQtSql -lQtXml -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake-qt4
@@ -44,6 +44,8 @@
 ####### Files
 
 SOURCES       = modest_interface.cpp \
+		QOptionsDialog.cpp \
+		DataTypes/QNoteThumbnail.cpp \
 		QSyncProgressDialog.cpp \
 		QEmailNoteDialog.cpp \
 		QNewTagDialog.cpp \
@@ -81,8 +83,14 @@
 		main.cpp \
 		QvernoteView.cpp \
 		qvernotelogindialog.cpp \
-		Qvernote.cpp moc_modest_interface_p.cpp \
+		Qvernote.cpp moc_QMaemoContactEmailListWidget.cpp \
+		moc_modest_interface_p.cpp \
 		moc_QMaemoTextSelectionSupressor.cpp \
+		moc_QOptionsDialog.cpp \
+		moc_QNoteListView.cpp \
+		moc_QNoteGridView.cpp \
+		moc_QKeyGrabber.cpp \
+		moc_QNotebookPickList.cpp \
 		moc_QSyncProgressWidget.cpp \
 		moc_QSyncProgressDialog.cpp \
 		moc_QEmailNoteDialog.cpp \
@@ -111,6 +119,8 @@
 		moc_qvernotelogindialog.cpp \
 		qrc_Icons.cpp
 OBJECTS       = modest_interface.o \
+		QOptionsDialog.o \
+		QNoteThumbnail.o \
 		QSyncProgressDialog.o \
 		QEmailNoteDialog.o \
 		QNewTagDialog.o \
@@ -149,8 +159,14 @@
 		QvernoteView.o \
 		qvernotelogindialog.o \
 		Qvernote.o \
+		moc_QMaemoContactEmailListWidget.o \
 		moc_modest_interface_p.o \
 		moc_QMaemoTextSelectionSupressor.o \
+		moc_QOptionsDialog.o \
+		moc_QNoteListView.o \
+		moc_QNoteGridView.o \
+		moc_QKeyGrabber.o \
+		moc_QNotebookPickList.o \
 		moc_QSyncProgressWidget.o \
 		moc_QSyncProgressDialog.o \
 		moc_QEmailNoteDialog.o \
@@ -187,6 +203,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
@@ -227,7 +244,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): ui_QSyncProgressDialog.h ui_QEmailNoteDialog.h ui_QNewTagDialog.h ui_QTrashWindow.h ui_QNoteViewWindow.h ui_QAttachmentWidget.h ui_QAboutDialog.h ui_QDeleteNotebookView.h ui_QTagSelectorDialog.h ui_QDeleteNotesView.h ui_QNoteListItemWidget.h ui_QNoteSearchDialog.h ui_QNotebookListItemWidget.h ui_QNewNotebookDialog.h ui_QNoteEditWindow.h ui_QNoteWidget.h ui_QNotesView.h ui_QvernoteView.h ui_qvernotelogindialog.h $(OBJECTS)  
+$(TARGET): ui_QOptionsDialog.h ui_QSyncProgressDialog.h ui_QEmailNoteDialog.h ui_QNewTagDialog.h ui_QTrashWindow.h ui_QNoteViewWindow.h ui_QAttachmentWidget.h ui_QAboutDialog.h ui_QDeleteNotebookView.h ui_QTagSelectorDialog.h ui_QDeleteNotesView.h ui_QNoteListItemWidget.h ui_QNoteSearchDialog.h ui_QNotebookListItemWidget.h ui_QNewNotebookDialog.h ui_QNoteEditWindow.h ui_QNotesView.h ui_QvernoteView.h ui_qvernotelogindialog.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: Qvernote.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
@@ -239,6 +256,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
@@ -270,6 +288,7 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
+/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
@@ -278,21 +297,3 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
-/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
-/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
-/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
-/usr/lib/libQtMaemo5.prl:
-/usr/lib/libQtDBus.prl:
-/usr/lib/libQtXml.prl:
-/usr/lib/libQtCore.prl:
-/usr/lib/libQtGui.prl:
-/usr/lib/libQtWebKit.prl:
-/usr/lib/libphonon.prl:
-/usr/lib/libQtXmlPatterns.prl:
-/usr/lib/libQtNetwork.prl:
-/usr/lib/libQtSql.prl:
-qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile Qvernote.pro
-
-dist: 
-	@$(CHK_DIR_EXISTS) .tmp/qvernote1.0.0 || $(MKDIR) .tmp/qvernote1.0.0

## qvernote 0.4-2maemo1

=== Makefile ===
#############################################################################
# Makefile for building: qvernote
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 15 23:12:19 2010
# Project:  Qvernote.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile Qvernote.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQ_WS_MAEMO_5 -DDATADIR="debian/qvernote/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtSql -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include/QtWebKit -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I/usr/include/QtContacts -I/targets/FREMANTLE_X86/usr/include/thrift -I/targets/FREMANTLE_X86/usr/include/evernote -I/targets/FREMANTLE_X86/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lEvernote -L/usr/lib -lQtContacts -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtNetwork -lQtDBus -lQtSql -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = modest_interface.cpp \
		QOptionsDialog.cpp \
		DataTypes/QNoteThumbnail.cpp \
		QSyncProgressDialog.cpp \
		QEmailNoteDialog.cpp \
		QNewTagDialog.cpp \
		QTrashWindow.cpp \
		DataTypes/QData.cpp \
		DataTypes/QItem.cpp \
		DataTypes/QNote.cpp \
		DataTypes/QNoteAttributes.cpp \
		DataTypes/QNoteResource.cpp \
		DataTypes/QNotebook.cpp \
		DataTypes/QResourceAttributes.cpp \
		DataTypes/QTag.cpp \
		QvernoteDataFactory.cpp \
		QvernoteStorage.cpp \
		QNoteViewWindow.cpp \
		QAttachmentWidget.cpp \
		QAboutDialog.cpp \
		QDeleteNotebookView.cpp \
		QvernoteWindow.cpp \
		QTagButton.cpp \
		QTagSelectorDialog.cpp \
		QDeleteNotesView.cpp \
		QNoteListItemWidget.cpp \
		QNoteSearchDialog.cpp \
		QNotebookListItemWidget.cpp \
		md5.c \
		QEnmlWriter.cpp \
		QNewNotebookDialog.cpp \
		QNotesViewGraphicsWidget.cpp \
		QEnmlReader.cpp \
		QNoteEditWindow.cpp \
		QNotesView.cpp \
		QvernoteAPI.cpp \
		QvernoteSettings.cpp \
		main.cpp \
		QvernoteView.cpp \
		qvernotelogindialog.cpp \
		Qvernote.cpp moc_QMaemoContactEmailListWidget.cpp \
		moc_modest_interface_p.cpp \
		moc_QMaemoTextSelectionSupressor.cpp \
		moc_QOptionsDialog.cpp \
		moc_QNoteViewNavigationWidget.cpp \
		moc_QNoteListView.cpp \
		moc_QNoteGridView.cpp \
		moc_QKeyGrabber.cpp \
		moc_QNotebookPickList.cpp \
		moc_QSyncProgressWidget.cpp \
		moc_QSyncProgressDialog.cpp \
		moc_QEmailNoteDialog.cpp \
		moc_QNewTagDialog.cpp \
		moc_QTrashWindow.cpp \
		moc_QNoteViewWindow.cpp \
		moc_QAttachmentWidget.cpp \
		moc_QAboutDialog.cpp \
		moc_QDeleteNotebookView.cpp \
		moc_QTagButton.cpp \
		moc_QClickableLabel.cpp \
		moc_QTagSelectorDialog.cpp \
		moc_QDeleteNotesView.cpp \
		moc_QNoteListItemWidget.cpp \
		moc_QNonScrollableListWidget.cpp \
		moc_QvernoteWindow.cpp \
		moc_QNoteSearchDialog.cpp \
		moc_QNotebookListItemWidget.cpp \
		moc_QNewNotebookDialog.cpp \
		moc_QNotesViewGraphicsWidget.cpp \
		moc_QNoteEditWindow.cpp \
		moc_QNotesView.cpp \
		moc_Qvernote.cpp \
		moc_QvernoteAPI.cpp \
		moc_QvernoteView.cpp \
		moc_qvernotelogindialog.cpp \
		qrc_Icons.cpp
OBJECTS       = modest_interface.o \
		QOptionsDialog.o \
		QNoteThumbnail.o \
		QSyncProgressDialog.o \
		QEmailNoteDialog.o \
		QNewTagDialog.o \
		QTrashWindow.o \
		QData.o \
		QItem.o \
		QNote.o \
		QNoteAttributes.o \
		QNoteResource.o \
		QNotebook.o \
		QResourceAttributes.o \
		QTag.o \
		QvernoteDataFactory.o \
		QvernoteStorage.o \
		QNoteViewWindow.o \
		QAttachmentWidget.o \
		QAboutDialog.o \
		QDeleteNotebookView.o \
		QvernoteWindow.o \
		QTagButton.o \
		QTagSelectorDialog.o \
		QDeleteNotesView.o \
		QNoteListItemWidget.o \
		QNoteSearchDialog.o \
		QNotebookListItemWidget.o \
		md5.o \
		QEnmlWriter.o \
		QNewNotebookDialog.o \
		QNotesViewGraphicsWidget.o \
		QEnmlReader.o \
		QNoteEditWindow.o \
		QNotesView.o \
		QvernoteAPI.o \
		QvernoteSettings.o \
		main.o \
		QvernoteView.o \
		qvernotelogindialog.o \
		Qvernote.o \
		moc_QMaemoContactEmailListWidget.o \
		moc_modest_interface_p.o \
		moc_QMaemoTextSelectionSupressor.o \
		moc_QOptionsDialog.o \
		moc_QNoteViewNavigationWidget.o \
		moc_QNoteListView.o \
		moc_QNoteGridView.o \
		moc_QKeyGrabber.o \
		moc_QNotebookPickList.o \
		moc_QSyncProgressWidget.o \
		moc_QSyncProgressDialog.o \
		moc_QEmailNoteDialog.o \
		moc_QNewTagDialog.o \
		moc_QTrashWindow.o \
		moc_QNoteViewWindow.o \
		moc_QAttachmentWidget.o \
		moc_QAboutDialog.o \
		moc_QDeleteNotebookView.o \
		moc_QTagButton.o \
		moc_QClickableLabel.o \
		moc_QTagSelectorDialog.o \
		moc_QDeleteNotesView.o \
		moc_QNoteListItemWidget.o \
		moc_QNonScrollableListWidget.o \
		moc_QvernoteWindow.o \
		moc_QNoteSearchDialog.o \
		moc_QNotebookListItemWidget.o \
		moc_QNewNotebookDialog.o \
		moc_QNotesViewGraphicsWidget.o \
		moc_QNoteEditWindow.o \
		moc_QNotesView.o \
		moc_Qvernote.o \
		moc_QvernoteAPI.o \
		moc_QvernoteView.o \
		moc_qvernotelogindialog.o \
		qrc_Icons.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		Qvernote.pro
QMAKE_TARGET  = qvernote
DESTDIR       = 
TARGET        = qvernote

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_QOptionsDialog.h ui_QSyncProgressDialog.h ui_QEmailNoteDialog.h ui_QNewTagDialog.h ui_QTrashWindow.h ui_QNoteViewWindow.h ui_QAttachmentWidget.h ui_QAboutDialog.h ui_QDeleteNotebookView.h ui_QTagSelectorDialog.h ui_QDeleteNotesView.h ui_QNoteListItemWidget.h ui_QNoteSearchDialog.h ui_QNotebookListItemWidget.h ui_QNewNotebookDialog.h ui_QNoteEditWindow.h ui_QNotesView.h ui_QvernoteView.h ui_qvernotelogindialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Qvernote.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtSql.prl
	$(QMAKE) -unix -o Makefile Qvernote.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/mobility.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:

=== debian/changelog ===
qvernote (0.4-2maemo1) stable; urgency=low

  * Search by tag support
  * Sort notes by date
  * Fixed bug with syncing several resource types

 -- Sharky76 <burbulator@gmail.com>  Wed,  15 Jul 2010 23:39:00 +0300

qvernote (0.4-1maemo1) unstable; urgency=low

  * Support for grid note view with thumbnails
  * Fixed new note uploading to server
  * Support "search-as-you-type"
  * Fixed web clip note view
  * Added "Settings" dialog
  * Added move and copy of notes to another notebooks
  * Added DB management (delete thumbnails and drop DB)
  * Added platform contact list integration
  * Moved database to /home/user/MyDocs partition
  * Added nice animated navigation controls to Note View window
  * Added notes switch animation

 -- Sharky76 <burbulator@gmail.com>  Tue,  29 Jun 2010 14:21:00 +0300

qvernote (0.3-8maemo1) unstable; urgency=low

  * Fixed extremly long delay bug when starting note edit
  * Rediced memory usage
  * Make edit window child of both NoteViewWindow and NotesView
  * Removed "note" icon from notelist item widget

 -- Sharky76 <burbulator@gmail.com>  Mon,  28 Jun 2010 11:50:00 +0300

qvernote (0.3-7maemo1) unstable; urgency=low

  * Add notebook name in notes view
  * Display progress of downloaded notes
  * Add contact me button to about dialog
  * Fixed secondary text color to be in match with maemo default color
  * Fixed crash in delete notebook view
  * Note web view scrolls to the beginning when paging notes

 -- Sharky76 <burbulator@gmail.com>  Sat,  26 Jun 2010 22:10:18 +0300

qvernote (0.3-6maemo1) unstable; urgency=low

  * Fix error on uninstall in prerm script

 -- Sharky76 <burbulator@gmail.com>  Fri,  25 Jun 2010 23:10:18 +0300

qvernote (0.3-5maemo1) unstable; urgency=low

  * Fix error on uninstall in prerm script

 -- Sharky76 <burbulator@gmail.com>  Fri,  25 Jun 2010 23:10:18 +0300

qvernote (0.3-4maemo1) unstable; urgency=low

  * Fix error on install in postinst script

 -- Sharky76 <burbulator@gmail.com>  Fri,  25 Jun 2010 23:10:18 +0300

qvernote (0.3-3maemo1) unstable; urgency=low

  * Fix crash on big notestore

 -- Sharky76 <burbulator@gmail.com>  Fri,  21 Jun 2010 23:05:18 +0300

qvernote (0.3-2maemo1) unstable; urgency=low

  * Fix dependencies for a binary package

 -- Sharky76 <burbulator@gmail.com>  Fri,  21 Jun 2010 23:05:18 +0300

qvernote (0.3-1maemo1) unstable; urgency=low
  
  * Implemented offline sync support

 -- Sharky76 <burbulator@gmail.com>  Fri,  21 Jun 2010 23:05:18 +0300

qvernote (0.2-1maemo1) unstable; urgency=low

  * Add support for all kind of notes except crypt
  * Add "view" note mode before edit

 -- Sharky76 <burbulator@gmail.com>  Fri,  14 Jun 2010 08:20:18 +0300

qvernote (0.1-1maemo1) unstable; urgency=low

  * Initial release 

 -- Sharky76 <burbulator@gmail.com>  Fri,  4 Jun 2010 21:54:18 +0300

=== debian/control ===
Source: qvernote
Section: user/office
Priority: extra
Maintainer: Sharky76 <burbulator@gmail.com>
Build-Depends:  libqt4-dev, libqt4-sql-sqlite, libqtm-dev, debhelper (>= 5), libevernote-dev, thrift-dev, libboost1.38-dev, libssl-dev
Standards-Version: 3.7.2

Package: qvernote
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libevernote1.15, thrift0.2.0, libqtm-contacts
Description: Evernote client
 Full featured client for Evernote
 Supports offline synchronization
 Update includes:
 1. Search by tag support
 2. Live search - start typing in notebook view or notes view to search
 3. Note sorting by data
 4. Simply the best Evernote client ever, better then Android or iPhone ones
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1668
XB-Maemo-Display-Name: Qvernote
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oGBBMMA1SP9IEAAAaJSURBVEjHVZZJj15HFYafU9O99xu6245pO0m3
 E4cMxEFKSOQEJCAWCCkRCyQgUligSICyYcWSHX+AFRIIiRUgsUEQCVggQEEC
 Y8jAGAXFiU0cO2532j37G+6t4bC43SYsXpWqFvVU1XnrrZIfvfjdo+fe+N0z
 13evnPbOZzEgGMSAEYuIImIQMRgRAIoqKAAoiqr2XS0ULWiBopmYsl09es/f
 H7/vyZ+6l9/6w7MXNl79tlSxDrbCW4ezHucs1nucc/jgUC2gYK3FWocmIeWM
 FiWXTC6JnBMlJVLO5Fxodc4b723vB1epu7L91oOmjvXy8lHqUFNVDXWoaKqG
 ZlBhEP7zr+u8/fI+UoQw8Nx2suHRJ+9lcXyEtuuIuWPazZm1U2bthLbryEmJ
 KfPOu1fHa3tvf9h572JlKuqqYViPGDQjxoMRi0tDXj9/mcY6zn9vAzpHqBzO
 GTZfioTpdT76hYBqpqoNw/EINWMmk5bN7W1m8znSdtRVjRcfnRrBOkflKwb1
 gFEz5MjSAhf/cZULP2t59PMDdG4ZjCuqqsI5h3OOy+c6rrzyBhiwtRIWlOa4
 cvKxRW6/exmAlBPeW6wanBER5yxVCDR1w8JozJXX3+OvP9xl5djdYPcJdaAK
 PSiEgPceZx2C7Q0xV9J+YftiYv38TZ76JiwdW6CNM7y1mAJODDhrCd4zaoZo
 TLx5fo3jp8YcXYmsXduiDg1N01DVPSiEgHMOYwwiQimZlDN1duzfgL1LwgdP
 jdne3cZ6i4mCMwJiLcEHmmHgT7/8Jxf+uEUznHL10iZ0gdHCkLqpqaqKuq7/
 DwSQcybnTEqJNFDavUTlKyof8M5hsojDCtYK3nuUxGu/2CbueII6XFXTNDV1
 U1PXNU3T3AJZa2+BSinEGEkpkgYQp+CNJdiAMQY1ghMBaw3WCMMwYDQYkn2i
 qgJVVd1SXfeww773vq+PKilljOnBdQ3aZqwYvLUHCxKMWBWMAErdVBxfWQIV
 nPN47/De472/ZYTDNoRA09R4V1EFjzGmd6R3aDZoAWMNxoKKYhAwFhDFACv3
 3UY5SADn/gd6vw5BqGP13jFf+fonOfvUfQA4Z9EkUArGCGIEEXBiFBEFgS5G
 Vh84hrNvYYw5iJseeNgeyntPcJaZbPKbl36L+EwYQGwtRUFLwQiIgAp9jZAC
 kmm7jhP3LNCMK7RwsJpeh/XQwyhVxThldvUoO/OOWTtFtUVMS8lK1kyR3M9t
 FYMUMIqSiV3LwgcCx08uEruE8D7AgVLqmHU3ybnQtR2ZFrUdxhVKKZScQUAl
 UzSBFFSKGDV95hdNxNKRdMbjZz/E/u6MyWRKyqmfoJTeXRZO3LHM+toGk5sT
 ZrNZf38OFLuM8YrYgmpB6WXEZKMmk4lkjexPJ5z57B08/40vctfqXcSZsnVj
 j62tXd5bv0HTVDz35ad44mOPsDg+Su4MNza2aduWmCJd2xFGBWwhl4xKD3II
 KIVS+h21ec4uazz8zJ186kufZrYRWL884d23t1m/tsfTn3sMO7zGZ54dsdsa
 6nKatUvCD77zc1KKtPNIc8RTJFOkoJLBFJyKotLvKJaWNk+ZdYHrW2vsV3sc
 WVrkrjuXeOgTx6k4hTDjhd+f48VfXWSyk3nu+bM8dmaZ2+8PvP7nfdp5x8KJ
 QEwJtHBoH4cBlUKio8sz5snhjAWBgpJKYW86I9jAINSUNOfXP76CTo7x4P0n
 OTK+k82yhqlnTCdzlMTCimU+7/pnndwfnaAohVSSxjKXNlmM6S9wKYmYO4IN
 eBNIpuLm5pTdjcjy6pQnvtbRLrzGxa1trly9QTtNLK0ahsuG3WmkHBhBtYjD
 KEgh00ksgs0Gib01o20JZYo3gSCeloqCElPL2uXI9791DtsU2n3o1hvaGLn7
 0WWitMSSUD20eMaplP72ApEOMmRJJBJdnhNKwJkKbzyT5FlcGLD64Ih/n9vE
 71aUrEAhMePI8oBTHx9wczoh01G0Pzak4LKmIJpwpv/pdNKRUyJrxplI1A4n
 LdY4rDhmO/s8/tVjrJ4esbPeEbuCKFQjy8qZQDfaOahPJtIStcWUGNw944/8
 7dL0L/sbO9tjax2gGDGITDEYjNhbL6lBAMHad6gfqvGnHb4cVFkyb8Y57bsJ
 VQUttGVOiYOtB24786o7c/vTPynXSrs2u/CwNS712WcQAVH6VASKQAEEIdHX
 RQ8+kIICFnTYj2lBAJOTXRk88MojJ86+8F+Xl3xSiiTsvwAAAABJRU5ErkJg
 gg==
 ====
